/*
 * ICommonComponent.java
 * 
 * Created On May 22, 2007
 * @author VCharles
 * 
 ****************************************************************
 * Copyright Notice :
 * Copyright, AMX, Inc., 2006-2008
 * Private, proprietary information, the sole property of AMX.
 * The contents, ideas, and concepts expressed herein are not to
 * be disclosed except within the confines of a confidential
 * relationship and only then on a need to know basis.    
 ****************************************************************
 */
package com.amx.duet.tools.comm;

/**
 * 
 */
public abstract interface ICommonComponent
{
	/**
	 * Class destructor used for clean up
	 */
	public abstract void dispose();

	/**
	 *  Process events for all applicable events for the component.
	 */
	public abstract void refresh(); 

	/**
	 * Reset local variables for the component. 
	 */
	public abstract void reinitialize(); 
}
