package com.amx.duet.tools.json;
/**
 * @author cnina
 */
public class JSONException extends Exception
{
	private Throwable cause;

	/**
	 * Constructs a JSONException with a meaningful message.
	 * 
	 * @param message
	 */
	public JSONException(String message)
	{
		super(message);
	}

	public JSONException(Throwable t)
	{
		super(t.getMessage());
		this.cause = t;
	}

	public Throwable getCause()
	{
		return this.cause;
	}
}
